Skip to content
Proud to collaborate with Microsoft for Startups

docusign.authorizations.create-user-authorization ​

Creates an authorization allowing one user to send and/or manage envelopes on behalf of another user. The agent user acts on behalf of the principal user. The principal user is specified by the userId path parameter. The agent user is specified in the request body. Each principal user can only share signing permission with one agent user. Specify in the request the level of access to share with the agent user. If you share signing access, the agent user will receive an email notification. To call this endpoint: * You must be an account administrator or you must be the principal user. * The agent user and principal user must belong to the same account. * At least one of the following account settings must be enabled: AllowDelegatedSigning, AllowManagingEnvelopesOnBehalfOfOthers, AllowEditingEnvelopesOnBehalfOfOthers, AllowSendingEnvelopesOnBehalfOfOthers. These settings correspond to the level of access you can set for the authorization.

Creates a user authorization.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the principal user.
agentuserjsonNo——
enddatestringNo—The UTC DateTime to end the authorization. The default value is the max UTC value (9999-12-31T23:59:59.0000000+00:00).
permissionstringNo—The permission level to grant the agent. Valid values: * Send * Manage * Sign * Edit This property is required.
startdatestringNo—The UTC DateTime to initiate the authorization. The default value is the current date and time.
tasksourcestringNo——
tasktypestringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the principal user.
agentuserjsonNo——
enddatestringNo—The UTC DateTime to end the authorization. The default value is the max UTC value (9999-12-31T23:59:59.0000000+00:00).
permissionstringNo—The permission level to grant the agent. Valid values: * Send * Manage * Sign * Edit This property is required.
startdatestringNo—The UTC DateTime to initiate the authorization. The default value is the current date and time.
tasksourcestringNo——
tasktypestringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/users/{userId}/authorization
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/users/{userId}/authorization
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.authorizations.create-user-authorization",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "userid": "value"
  }
}